unit Unit1;

{THSImage demo program}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Cds_spot, Buttons;

type
  TForm1 = class(TForm)
    HSImage1: THSImage;
    BitBtn1: TBitBtn;
    OpenDialog1: TOpenDialog;
    procedure HSImage1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure HSImage1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.HSImage1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     if HSImage1.IsHot then
        MessageDlg('You clicked spot #' + IntToStr(HSImage1.SpotNumber) + ' of ' +
                    IntToStr(HSImage1.NumSpots), mtInformation, [mbOK], 0)
        else
        MessageDlg('Ooops! Missed the spots!', mtWarning, [mbOK],0);
end;

procedure TForm1.HSImage1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
     with HSImage1 do
     begin
          if IsHot then Cursor := crArrow else Cursor := crNoDrop;
     end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
     if OpenDialog1.Execute then
        HSImage1.LoadSpotFile(OpenDialog1.Filename);
end;

end.
